#include "cmwfactorysysconfig.h"
#include "ui_cmwfactorysysconfig.h"
#include "logic.h"
CMWFactorySysConfig::CMWFactorySysConfig(QWidget *parent) :
    CMWidget(parent),
    ui(new Ui::CMWFactorySysConfig)
{
    ui->setupUi(this);
}

CMWFactorySysConfig::~CMWFactorySysConfig()
{
    delete ui;
}

void CMWFactorySysConfig::MInit()
{
    Variant *pParam[9]={0};
    pParam[0]=m_gSystem.m_Variants.get_Variant(Var_AllSystem_LaserState_ID);
    pParam[1]=m_gSystem.m_Variants.get_Variant(Var_AllSystem_LightState_ID);
    pParam[2]=m_gSystem.m_Variants.get_Variant(Var_AllSystem_SafeDoorConfig_ID);
    pParam[3]=m_gSystem.m_Variants.get_Variant(Var_AllSystem_FullScreen_ID);
    pParam[4]=m_gSystem.m_Variants.get_Variant(Var_AllSystem_EnableSoftKeyboard_ID);
    pParam[5]=m_gSystem.m_Variants.get_Variant(Var_AllSystem_StyleSheet_Type_ID);
	pParam[6]=m_gSystem.m_Variants.get_Variant(Var_AllSystem_Language_Type_ID);
	pParam[7]=m_gSystem.m_Variants.get_Variant(Var_MaxCycle_Count);
    pParam[8] = m_gSystem.m_Variants.get_Variant(Var_XY_AngleOffset);
    
    ui->widget->MParamInit_list(pParam,9);
    mchildwidgets[intptr_t(ui->widget)]=ui->widget;
}
